-- <= == == == == == == == == == == == == =>
-- CombatStats Localization file (WoW v2.X)
-- <= == == == == == == == == == == == == =>

 -- <= Formatting colors =>
RED_FONT_COLOR_CODE = "|cffff2020";
NORMAL_FONT_COLOR_CODE = "|cffffd200";
WHITE_FONT_COLOR_CODE = "|cffffffff";
GREEN_FONT_COLOR_CODE = "|cff20ff20";
BLUE_FONT_COLOR_CODE = "|cff2020ff";
FONT_COLOR_CODE_CLOSE = "|r";


 -- <= General addon items =>
CS_DYN_DPS_FORMAT = "%.2f";
CS_TEXT_NA = "N/A";
CS_PET_ATTACK_CHK = "(.+)Pet(.+)";

CLOCK_TIME_MILLISECOND		= "%d millisecond";
CLOCK_TIME_MILLISECONDS		= "%d milliseconds";


 -- <= Dynamic DPS or mini frame items =>
CS_MINIFRAME_DEFAULT_TEXT = "DPS :: --";		-- others like "Overall DPS :: ";
CS_MINIFRAME_DISABLE_TEXT = "CS is off";
CS_TT_ADDON_TEXT_ADDON = "Left-click to drag.\nRight-click to toggle showing detailed stats.";


 -- <= Attack name or labeling items =>
CS_ATTACK_PET_PRE_LABEL = "[Pet] ";					-- the space at the end is needed
CS_ATTACK_HEAL_PRE_LABEL = "[Heal] ";				-- the space at the end is needed
CS_ATTACK_DOT_SUF_LABEL = " [DOT]";					-- the space at the start is needed
CS_ATTACK_HOT_SUF_LABEL = " [HOT]";					-- the space at the start is needed
CS_ATTACK_GEN_DEF_LABEL = "Default";
CS_ATTACK_DEFENSE_LABEL = "Defensive";
CS_ATTACK_TOT_DEF_LABEL = "Total";
CS_ATTACK_PET_DEF_LABEL = CS_ATTACK_PET_PRE_LABEL..CS_ATTACK_GEN_DEF_LABEL
CS_ATTACK_HEAL_TOT_LABEL = CS_ATTACK_HEAL_PRE_LABEL..CS_ATTACK_TOT_DEF_LABEL
CS_ATTACK_TOTAL_LABEL = "Total";

 -- <= Detailed attack frame items =>
CS_FRAME_GEN_ATTACK_TITLE = "General Attack Info.";
CS_FRAME_GEN_ATTACK_NAME = "Attack Name :";
CS_FRAME_TICKS_TEXT = "DOT ticks.";
CS_FRAME_HOT_TEXT = "HOT ticks.";
CS_FRAME_HITS_TEXT = "hits out of";
CS_FRAME_SWINGS_TEXT = "swings or uses.";
CS_FRAME_MISSES_TEXT = "Misses : ";
CS_FRAME_DODGES_TEXT = "Dodges : ";
CS_FRAME_PARRIES_TEXT = "Parries : ";
CS_FRAME_BLOCKS_TEXT = "Blocks : ";
CS_FRAME_RESISTS_TEXT = "Resists : ";
CS_FRAME_IMMUNE_TEXT = "Immune : ";
CS_FRAME_EVADES_TEXT = "Evades : ";
CS_FRAME_DEFLECTS_TEXT = "Deflects : ";
CS_FRAME_PERCENT_OVERALL_TEXT = "Percentage of overall damage : ";
CS_FRAME_TIME_LASTCRIT_TEXT = "Time since last crit : ";
CS_FRAME_TOTAL_TEXT = "Total : ";
CS_FRAME_DAMAGE_TEXT = "Damage : ";
CS_FRAME_MINMAX_TEXT = "Min/Max : ";
CS_FRAME_AVGDMG_TEXT = "Avg. Damage : ";
CS_FRAME_PERCENTDMG_TEXT = "% Of Dmg. : ";
CS_FRAME_NONCRIT_TEXT = "Non-Crit Stats";
CS_FRAME_CRIT_TEXT = "Crit Stats";
--CS_FRAME_TOTAL_TEXT = "Total";

CS_FRAME_PERCENT_OVERALL_TEXT_HEAL = "Percentage of overall HP healed: ";
CS_FRAME_DAMAGE_TEXT_HEAL = "HP Healed : ";
CS_FRAME_AVGDMG_TEXT_HEAL = "Avg. Healed : ";
CS_FRAME_PERCENTDMG_TEXT_HEAL = "% Of Total : ";
CS_FRAME_HITS_TEXT_HEAL = "heal(s) cast.";

CS_DROPDOWN_SELECT_TEXT = "Select Attack";


 -- <= Popup tooltip items (for Detailed attack frame)  =>
CS_TT_OVERALLPCT_TEXT = "Overall critical hit percentage.";
CS_TT_OVERALLDMGPCT_TEXT = "Percentage of the total damage done by all attacks that was done by this attack.";
CS_TT_NONCRIT_HITSPCT_TEXT = "Percent of this attack's hits that are non critical hits.";
CS_TT_CRIT_HITSPCT_TEXT = "Percent of this attack's hits that are critical hits.";
CS_TT_NONCRIT_DMGPCT_TEXT = "Percentage of this attack's damage that was from non critical hits.";
CS_TT_CRIT_DMGPCT_TEXT = "Percentage of this attack's damage that was from critical hits.";

CS_TT_OVERALLPCT_TEXT_NONHEAL = "Overall critical hit percentage.";
CS_TT_OVERALLDMGPCT_TEXT_NONHEAL = "Percentage of the total damage done by all attacks that was done by this attack.";
CS_TT_NONCRIT_HITSPCT_TEXT_NONHEAL = "Percent of this attack's hits that are non critical hits.";
CS_TT_CRIT_HITSPCT_TEXT_NONHEAL = "Percent of this attack's hits that are critical hits.";
CS_TT_NONCRIT_DMGPCT_TEXT_NONHEAL = "Percentage of this attack's damage that was from non critical hits.";
CS_TT_CRIT_DMGPCT_TEXT_NONHEAL = "Percentage of this attack's damage that was from critical hits.";

CS_TT_NONCRIT_HITSPCT_TEXT_HEAL = "Percent of this spell's hits that are non critical hits.";
CS_TT_CRIT_HITSPCT_TEXT_HEAL = "Percent of this spell's hits that are critical hits.";
CS_TT_OVERALLDMGPCT_TEXT_HEAL = "Percentage of the total HP healed by all heal spells that was done by this spell.";
CS_TT_CRIT_DMGPCT_TEXT_HEAL = "Percentage of HP healed from this spell that was from critical hits.";
CS_TT_NONCRIT_DMGPCT_TEXT_HEAL = "Percentage of HP healed from this spell that was from non critical hits.";


 -- <= Edit and setting changes menu items (for Detailed attack frame)  =>
CS_ED_DROPDN_AZSORT_TEXT = "Sort Attacks [a-z]";
CS_ED_DROPDN_TIMESORT_TEXT = "Sort Attacks [most recent crit]";
CS_ED_DROPDN_MXCRITSORT_TEXT = "Sort Attacks [greatest max crit]";
CS_ED_DROPDN_MXNONCRITSORT_TEXT = "Sort Attacks [greatest max non-crit]";
CS_ED_DROPDN_DEL__DAYSATTACK_TEXT = "Delete '%s' attack data";
CS_ED_DROPDN_DEL__DAYSATTACKGRP_TEXT = "Delete all attacks in '%s' group";
CS_ED_DROPDN_ENABLE_GROUPING_TEXT = "Enable '[xx]attack' sub-menu grouping";
CS_ED_DROPDN_DISABLE_GROUPING_TEXT = "Disable '[xx]attack' sub-menu grouping";
CS_ED_DROPDN_DEL_1_DAYS_TEXT = "Delete attack data older than 1 day";
CS_ED_DROPDN_DEL_5_DAYS_TEXT = "Delete attack data older than 5 days";
CS_ED_DROPDN_DEL_7_DAYS_TEXT = "Delete attack data older than 1 week";
CS_ED_DROPDN_DEL_30_DAYS_TEXT = "Delete attack data older than 1 month";
CS_ED_DROPDN_DEL_90_DAYS_TEXT = "Delete attack data older than 3 months";
CS_ED_DROPDN_DEL_180_DAYS_TEXT = "Delete attack data older than 6 months";
CS_ED_DROPDN_DEL_365_DAYS_TEXT = "Delete attack data older than 1 year";
CS_ED_DROPDN_DEL_730_DAYS_TEXT = "Delete attack data older than 2 years";
CS_ED_DROPDN_DEL_0_DAYS_TEXT = "Delete 'N/A' time attack data";


 -- <= End of Fight items  =>
CS_LF_PLAYER_TEXT = "%.1f sec.\n Total Damage :  %d\n Overall Fight DPS : %.1f\n";
CS_LF_PET_TEXT = " Your pet did %d or %.1f%% of your overall damage.\n Pet DPS : %.1f";
CS_LF_STATS_TEXT = "Fight Statistics\n Duration : ";


 -- <= InfoBar items  =>
CS_TT_ADDON_TEXT_INFOBAR = "Right-click to toggle showing detailed stats.";


 -- <= Titan Bar items  =>
CS_TB_TOOLTIP_TEXT = "Right-click to change options.\nLeft-click to toggle showing detailed stats.";


 -- <= FuBar items  =>
CS_FUBAR_ERR_1 = "To use CombatStat in FuBar, 'FuBarPlugin' must be install in the libs directory in 'FuBar' addon";
CS_FUBAR_ERR_2 = "To use CombatStat in FuBar, 'Tablet' must be install in the libs directory in 'FuBar' addon";
CS_FUBAR_ERR_3 = "To use CombatStat in FuBar, 'AceAddon' must be install in the libs directory in 'FuBar' addon";
CS_FUBAR_MENU_INDENT = " ";
CS_FUBAR_MENU_BR_1 = "- - CS Options - -";
CS_FUBAR_MENU_BR_2 = "- - CS Commands - -";


 -- <=   =>
 -- <= Chat Commands and Help & Directional texts  =>
 -- <=   =>
 
COMBATSTATS_CONFIG_HEADER = "CombatStats";
COMBATSTATS_CONFIG_HEADER_INFO = "These options modify CombatStats.\n ";
COMBATSTATS_CONFIG_ONOFF = "Turn CombatStats On/Off";
COMBATSTATS_CONFIG_ONOFF_INFO = "If this box is unchecked,\n CombatStats is off.";
COMBATSTATS_CONFIG_HIDEONNOTARGET = "Hide When No Target";
COMBATSTATS_CONFIG_HIDEONNOTARGET_INFO = "If enabled then Combat Stats will only be visible when there is a target.";
COMBATSTATS_CONFIG_USEMOUSEOVER = "Show CombatStats on mouseover";
COMBATSTATS_CONFIG_USEMOUSEOVER_INFO = "If enabled, Combat Stats will appear when you mouseover the title.\nIf disabled, Combat Stats will appear when you click on the title.";
COMBATSTATS_CONFIG_ENDOFFIGHT = "Show end of fight statistics";
COMBATSTATS_CONFIG_ENDOFFIGHT_INFO = "If enabled then Combat Stats will show end of fight DPS/damage stats.";
COMBSTATS_CHAT_COMMAND_RESET = "Reset combat stats data.";
COMBATSTATS_CHAT_COMMAND_INFO = "Tracks CombatStats and generates data.";

CS_CHAT_COMMAND_INFO = "Type /cs or /combatstats for usage instructions.";

CS_CMD_ENABLE = "enable";
CS_CMD_DISABLE = "disable";
CS_CMD_SHOWONTARGET = "showonlywhentarget";
CS_CMD_SHOWALWAYS = "showalways";
CS_CMD_MOUSESTAT = "statsonmouseover";
CS_CMD_CLICKSTAT = "statsonclick";
CS_CMD_ENDFLIGHT = "endoffight";
CS_CMD_NOENDFIGHT = "noendoffight";
CS_CMD_HIDE = "hide";
CS_CMD_SHOW = "show";
CS_CMD_SHOWSTAT = "showstats";
CS_CMD_HIDETIP = "hidettip";
CS_CMD_SHOWTIP = "showttip";
CS_CMD_RESET = "reset";
CS_CMD_RESETWIN = "resetpos";
CS_CMD_SETMAXUPS = "maxups";
CS_CMD_TARGET = "target";
CS_CMD_MOUSEOVER = "mouseover";
CS_CMD_TTIP = "tooltip";
CS_CMD_INFO_DETAILED1 = "helpdetailnew";
CS_CMD_INFO_DETAILED2 = "helpdetailold";

CS_CMD_HELP_TEXT = RED_FONT_COLOR_CODE.."CS"..FONT_COLOR_CODE_CLOSE.." slash commands can start with either /cs or /combatstats\n example: /cs enable or /combatstats enable.";
CS_CMD_ENABLE_TEXT			= " "..CS_CMD_ENABLE.." - 'Enables CombatStats'";
CS_CMD_DISABLE_TEXT			= " "..CS_CMD_DISABLE.." - 'Disables CombatStats'";
CS_CMD_SHOWONTARGET_TEXT	= " "..CS_CMD_SHOWONTARGET.." - 'Only show DPS meter when you have a target'";
CS_CMD_SHOWALWAYS_TEXT		= " "..CS_CMD_SHOWALWAYS.." - 'Show DPS meter always'";
CS_CMD_MOUSESTAT_TEXT		= " "..CS_CMD_MOUSESTAT.." - 'Show detailed window on mouseover'";
CS_CMD_CLICKSTAT_TEXT		= " "..CS_CMD_CLICKSTAT.." - 'Show detailed window on mouseclick'";
CS_CMD_ENDFLIGHT_TEXT		= " "..CS_CMD_ENDFLIGHT.." - 'Show end of fight information'";
CS_CMD_NOENDFIGHT_TEXT		= " "..CS_CMD_NOENDFIGHT.." - 'Don't show end of fight information'";
CS_CMD_HIDE_TEXT			= " "..CS_CMD_HIDE.." - 'Hide the frame '";
CS_CMD_SHOW_TEXT			= " "..CS_CMD_SHOW.." - 'Show the frame '";
CS_CMD_SHOWSTAT_TEXT		= " "..CS_CMD_SHOWSTAT.." - 'Show the detailed attack stats frame'";
CS_CMD_HIDETIP_TEXT			= " "..CS_CMD_HIDETIP.." - 'Hides the ...over last 30 seconds tooltip'";
CS_CMD_SHOWTIP_TEXT			= " "..CS_CMD_SHOWTIP.." - 'Shows the ...over last 30 seconds tooltip'";
CS_CMD_RESET_TEXT			= " "..CS_CMD_RESET.." - 'Reset all stats to 0'";
CS_CMD_RESETWIN_TEXT		= " "..CS_CMD_RESETWIN.." - 'Reset the windows position back to default locations'";
CS_CMD_SETMAXUPS_TEXT		= " "..CS_CMD_SETMAXUPS.." - 'Sets the maximum number of updates per second displayed'";
CS_CMD_HELP_SHORT_TEXT = CS_CMD_HELP_TEXT.."\n "..BLUE_FONT_COLOR_CODE.."commands: "..CS_CMD_ENABLE..", "..CS_CMD_DISABLE..", "..CS_CMD_SHOWONTARGET..", "..CS_CMD_SHOWALWAYS..",\n "..CS_CMD_MOUSESTAT..", "..CS_CMD_CLICKSTAT..", "..CS_CMD_ENDFLIGHT..", "..CS_CMD_NOENDFIGHT..", "..CS_CMD_HIDE..", "..CS_CMD_SHOW..",\n "..CS_CMD_SHOWSTAT..", "..CS_CMD_HIDETIP..", "..CS_CMD_SHOWTIP..", "..CS_CMD_RESET..", "..CS_CMD_INFO_DETAILED1..", and "..CS_CMD_INFO_DETAILED2;

CS_CMD_ENABLE_DESCP_TEXT	= "Enable/disable CombatStats, on or off";
CS_CMD_TARGET_DESCP_TEXT	= "Only show DPS meter when you have a target";
CS_CMD_MOUSEOVER_DESCP_TEXT	= "Show detailed window on mouseover";
CS_CMD_ENDFLIGHT_DESCP_TEXT	= "Show end of fight information";
CS_CMD_HIDE_DESCP_TEXT		= "Hide the DPS small display";
CS_CMD_TOOLTIP_DESCP_TEXT	= "Show the tooltip";
CS_CMD_RESET_DESCP_TEXT		= "Reset all stats to 0";
CS_CMD_RESETWIN_DESCP_TEXT	= "Reset the windows position back to default locations";
CS_CMD_SHOWSTAT_DESCP_TEXT	= "Show the detailed attack stats frame";

CS_CMD_HELP_OLD_TEXT = RED_FONT_COLOR_CODE.."CS"..FONT_COLOR_CODE_CLOSE.." slash commands can also start with either /cs or /combatstats\n and are then passed 'on' or 'off' to them\n example: /cs target on or /cs target off.";
CS_CMD_ENABLE_OLD_TEXT		= " "..CS_CMD_ENABLE.." [on | off] - '"..CS_CMD_ENABLE_DESCP_TEXT.."'";
CS_CMD_TARGET_OLD_TEXT		= " "..CS_CMD_TARGET.." [on | off] - '"..CS_CMD_TARGET_DESCP_TEXT.."'";
CS_CMD_MOUSEOVER_OLD_TEXT	= " "..CS_CMD_MOUSEOVER.." [on | off] - '"..CS_CMD_MOUSEOVER_DESCP_TEXT.."'";
CS_CMD_ENDFLIGHT_OLD_TEXT	= " "..CS_CMD_ENDFLIGHT.." [on | off] - '"..CS_CMD_ENDFLIGHT_DESCP_TEXT.."'";
CS_CMD_HIDE_OLD_TEXT		= " "..CS_CMD_HIDE.." [on | off] - '"..CS_CMD_HIDE_DESCP_TEXT.."'";
CS_CMD_TOOLTIP_OLD_TEXT		= " "..CS_CMD_TTIP.." [on | off] - '"..CS_CMD_TOOLTIP_DESCP_TEXT.."'";
CS_CMD_RESET_OLD_TEXT		= " "..CS_CMD_RESET.." yes - '"..CS_CMD_RESET_DESCP_TEXT.."'";
CS_CMD_HELP_SHORT_OLD_TEXT = CS_CMD_HELP_OLD_TEXT.."\n "..BLUE_FONT_COLOR_CODE.."commands: "..CS_CMD_ENABLE..", "..CS_CMD_TARGET..", "..CS_CMD_MOUSEOVER..", "..CS_CMD_ENDFLIGHT..", "..CS_CMD_TTIP..", and "..CS_CMD_RESET;


